<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $guarded = [
        'id',
    ];
    protected $dates = ['deleted_at'];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    protected static function boot()
    {
        parent::boot();

        static::deleting(function ($user) {
            if ($user->karyawans) {
                $user->karyawans->delete(); 
            }

            if ($user->pelanggans) {
                $user->pelanggans->delete();
            }
        });
    }

    public function admins()
    {
        return $this->hasOne(Admin::class, 'id_user', 'id');
    }

    public function karyawans()
    {
        return $this->hasOne(Karyawan::class, 'id_user', 'id');
    }

    public function pelanggans()
    {
        return $this->hasOne(Pelanggan::class, 'id_user', 'id');
    }
}
